GPG error: https://pkg.cloudflare.com focal Release

Hello guys!

So I [fresh] installed Ubuntu 20.04 on an LXC container via Proxmox VE and upgraded 159 packages.

I am installing cloudflared via Package Repository by following this documentation.
[Please see screenshot below]

After I followed the documentation, I typed apt update to update the apt cache. After that, it threw an error.

W: GPG error: https://pkg.cloudflare.com focal Release: The following signatures were invalid: BADSIG 254B391D8CACCBF8 CloudFlare Software Packaging <[email protected]>
E: The repository 'https://pkg.cloudflare.com focal Release' is not signed.
N: Updating from such a repository can't be done securely and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

It was my first time experiencing the issue. Are there any workarounds to solve this issue?

Thank you.

There’s a bunch of limitations/problems with pkg.cloudflare.com that we hope to address in the near future

In the meantime you can always fetch the pre-compiled packages or binaries from Releases · cloudflare/cloudflared · GitHub

You can also run cloudflared update afterwards whenever you want to make it self-update

2 Likes